<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 


if($setup){
if(!($is_admin =='super'))
     alert("관리자만 실행이 가능합니다.");

  
  $s_wr  =  11; // 추가할 시작필드
  $e_wr  =  41; // 추가할 마지막필드
}

  switch($setup){

	  case 'in':

		  for($t=$s_wr; $t<$e_wr; $t++){
            $wr_sql    ="ALTER TABLE $g4[write_prefix]$bo_table ADD wr_{$t} VARCHAR(255) NOT NULL"; 
            $wr_result = @mysql_query($wr_sql) or mysql_error(); 
		  }
           alert("필드업로드가 정상적으로 처리되었습니다.");


	  break;

	  case 'out':
		  for($t=$s_wr; $t<$e_wr; $t++){
           $wr_sql    ="ALTER TABLE $g4[write_prefix]$bo_table DROP wr_{$t}"; 
           $wr_result = @mysql_query($wr_sql) or mysql_error(); 
		  }
           alert("필드삭제가 정상적으로 처리되었습니다.");
	  break;

  }


?>
